import React, { FC, HTMLAttributes, PropsWithChildren } from "react";
import { DxIcon } from "@/components/index";

export const LinkTargetBlank: FC<PropsWithChildren & { href: string }> = ({ href, children }) => (
  <a href={href} target={"_blank"} className={"ml-3 underline"}>
    {children}
  </a>
);

export const HhLink = () => (
  <LinkTargetBlank href={"https://spb.hh.ru/resume/a07f1925ff04f3eeba0039ed1f324c55545037"}>
    CV at hh.ru
  </LinkTargetBlank>
);

export const EmailLink = () => (
  <a href={"mailto:mr.dead.toast@gmail.com"} className={"ml-3 underline"}>
    Email
  </a>
);

export const IconLink: FC<{ href: string; className: HTMLAttributes<any>["className"] }> = ({ href, className }) => (
  <a href={href} target={"_blank"} className={"mr-3"}>
    <DxIcon className={className} />
  </a>
);

export const SpbDotNetLink = () => (
  <LinkTargetBlank href={"https://github.com/DotNetRu/BrandBook/wiki/Kirill-Poletaev"}>
    On SpbDotNet community
  </LinkTargetBlank>
);
